Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class add_annot

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.add_annot

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class add_annot

extends DefaultInternalAction

Internal action: `.add_annot`.

Description: adds an annotation to a literal.

Parameters:

- + belief(s) (literal or list): the literal where the annotation is to be added. If this parameter is a list, all literals in the list will have the annotation added.
- + annotation (structure): the annotation.
- +/- annotated beliefs(s) (literal or list): this argument unifies with the result of the annotation addition.

Examples:

- `.add_annot(a,source(jomi),B)`: `B` unifies with `a[source(jomi)]`.
- `.add_annot(a,source(jomi),b[jomi])`: fails because the result of the addition does not unify with the third argument.
- `.add_annot([a1,a2], source(jomi), B)`: `B` unifies with `[a1[source(jomi)], a2[source(jomi)]]`.

Note: instead of using this internal action, you can use direct unification.
`.add_annot(a,source(jomi),B)` can be replaced by `B = a[source(jomi)]`;
`.add_annot(X,source(jomi),B)` can be replaced by `B = X[source(jomi)]`.

See Also:
  `add_nested_source`, Serialized Form

Constructor Summary
`add_annot()`

Method Summary
`protected Term` | `addAnnotToList(Unifier unif, Term l, Term annot)`
`static InternalAction` | `create()`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, checkArguments, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### add_annot

    public add_annot()

Method Detail

### create

    public static InternalAction create()

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

### addAnnotToList

    protected Term addAnnotToList(Unifier unif,
                                  Term l,
                                  Term annot)
                           throws JasonException

  Throws:
    `JasonException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD